Bug 1306659 - [CodeChange] - split ovirt-engine-lib package into separated packages for python2 and python3
[CodeChange] - split ovirt-engine-lib package into separated packages for pyt...
Status: POST
Product: ovirt-engine
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
future
Unspecified Unspecified
high Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Gal Zaidman
Pavel Stehlik
: CodeChange
: 1601339 (view as bug list)
Depends On:
Blocks: oVirt_on_Fedora
  Show dependency treegraph
 
Reported: 2016-02-11 09:27 EST by Rafael Martins
Modified: 2018-07-17 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 93054 master ABANDONED spec: split ovirt-engine-lib package into separated packages for python2 and python3 2018-07-17 03:41 EDT
oVirt gerrit 93056 master POST spec: split ovirt-engine-lib package into separated packages for python2 and python3 2018-07-17 05:26 EDT

  None (edit)
Description Rafael Martins 2016-02-11 09:27:20 EST
With the need of python3 support for ovirt-engine-lib, and considering the best practives for Python packaging, we must create separated packages for ovirt-engine-lib, namely: python2-ovirt-engine-lib (providing ovirt-engine-lib for compatibility).

Having a package for python3 includes porting code to stop using dependencies that are python2-only: python-daemon and m2crypto.
Comment 1 Sandro Bonazzola 2016-05-02 06:09:34 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 2 Yaniv Lavi 2016-05-23 09:25:14 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 3 Yaniv Lavi 2016-05-23 09:26:08 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 4 Gal Zaidman 2018-07-17 07:20:49 EDT
*** Bug 1601339 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.